# RTP_ControlFrame Class Reference

`#include <rtp.h>`

List of all members.

## Public Types

enum | PayloadTypes { e_IntraFrameRequest = 192, e_SenderReport = 200, e_ReceiverReport, e_SourceDescription, e_Goodbye, e_ApplDefined }
enum | DescriptionTypes { e_END, e_CNAME, e_NAME, e_EMAIL, e_PHONE, e_LOC, e_TOOL, e_NOTE, e_PRIV, NumDescriptionTypes }

## Public Member Functions

| RTP_ControlFrame (PINDEX compoundSize=2048)
unsigned | GetVersion () const
unsigned | GetCount () const
void | SetCount (unsigned count)
unsigned | GetPayloadType () const
void | SetPayloadType (unsigned t)
PINDEX | GetPayloadSize () const
void | SetPayloadSize (PINDEX sz)
BYTE * | GetPayloadPtr () const
PBoolean | ReadNextPacket ()
PBoolean | StartNewPacket ()
void | EndPacket ()
PINDEX | GetCompoundSize () const
void | Reset (PINDEX size)
void | StartSourceDescription (DWORD src)
void | AddSourceDescriptionItem (unsigned type, const PString &data)

## Protected Attributes

PINDEX | compoundOffset
PINDEX | payloadSize

## Classes

struct | ReceiverReport
struct | SenderReport
struct | SourceDescription

## Detailed Description

An RTP control frame encapsulation.

## Member Enumeration Documentation

enum RTP_ControlFrame::PayloadTypes

Enumerator:

  e_IntraFrameRequest |
  e_SenderReport |
  e_ReceiverReport |
  e_SourceDescription |
  e_Goodbye |
  e_ApplDefined |

enum RTP_ControlFrame::DescriptionTypes

Enumerator:

  e_END |
  e_CNAME |
  e_NAME |
  e_EMAIL |
  e_PHONE |
  e_LOC |
  e_TOOL |
  e_NOTE |
  e_PRIV |
  NumDescriptionTypes |

## Constructor & Destructor Documentation

RTP_ControlFrame::RTP_ControlFrame | ( | PINDEX | compoundSize = `2048` | ) |

## Member Function Documentation

unsigned RTP_ControlFrame::GetVersion | ( |  | ) | const`[inline]`

unsigned RTP_ControlFrame::GetCount | ( |  | ) | const`[inline]`

void RTP_ControlFrame::SetCount | ( | unsigned | count | ) |

unsigned RTP_ControlFrame::GetPayloadType | ( |  | ) | const`[inline]`

void RTP_ControlFrame::SetPayloadType | ( | unsigned | t | ) |

PINDEX RTP_ControlFrame::GetPayloadSize | ( |  | ) | const`[inline]`

void RTP_ControlFrame::SetPayloadSize | ( | PINDEX | sz | ) |

BYTE* RTP_ControlFrame::GetPayloadPtr | ( |  | ) | const

PBoolean RTP_ControlFrame::ReadNextPacket | ( |  | ) |

PBoolean RTP_ControlFrame::StartNewPacket | ( |  | ) |

void RTP_ControlFrame::EndPacket | ( |  | ) |

PINDEX RTP_ControlFrame::GetCompoundSize | ( |  | ) | const

void RTP_ControlFrame::Reset | ( | PINDEX | size | ) |

void RTP_ControlFrame::StartSourceDescription | ( | DWORD | src | ) |

Parameters:

  src | SSRC/CSRC identifier

void RTP_ControlFrame::AddSourceDescriptionItem | ( | unsigned | type,
|  | const PString & | data |
| ) |  |  |

Parameters:

  type | Description type
  data | Data for description

## Member Data Documentation

PINDEX RTP_ControlFrame::compoundOffset `[protected]`

PINDEX RTP_ControlFrame::payloadSize `[protected]`

The documentation for this class was generated from the following file:

- rtp.h